%define name evolution-sharp
%define version 0.11.1
%define release %mkrel 4

Summary: Evolution C# bindings for mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch1: evolution-sharp-0.11.1-evo28.patch
License: GPL
Group: Development/Other
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: evolution-devel >= 2.5
BuildRequires: evolution-data-server-devel >= 1.5
BuildRequires: libgnomeprintui-devel
BuildRequires: libgtkhtml-3.8-devel
BuildRequires: mono-devel
BuildRequires: gtk-sharp2
Requires: evolution

%description
Evolution# is a .NET language binding for various Ximian Evolution
(tm) libraries.

%prep
%setup -q
%patch1 -p1 -b .evo28
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %_lib != lib
mkdir %buildroot%_prefix/lib
mv %buildroot%_libdir/mono %buildroot%_prefix/lib/
%endif
rm -f %buildroot%_libdir/lib*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MAINTAINERS AUTHORS ChangeLog
%_prefix/lib/mono/evolution-sharp/
%_prefix/lib/mono/gac/evolution-sharp/
%_libdir/libevolutionglue.so
%_libdir/pkgconfig/evolution-sharp.pc
%_datadir/gapi-2.0/evolution-api.xml


%changelog
* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.11.1-4mdv2007.0
+ Revision: 75592
- fix bug #26939 (wrong ecal major in dll map)
- copy cooker to 2007.0
- Import evolution-sharp



* Thu Nov  2 2006 Gtz Waschk <waschk@mandriva.org> 0.11.1-4mdv2007.1
- fix patch to have the correct libecal major

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2007.0
- rebuild for new e-d-s

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 0.11.1-2mdv2007.0
- update patch for new e-d-s

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11.1-1mdv2007.0
- Release 0.11.1

* Tue May 30 2006 Gtz Waschk <waschk@mandriva.org> 0.10.2-6mdv2007.0
- update patch 0 for new e-d-s

* Fri Apr 21 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.2-5mdk
- add BuildRequires: libgtkhtml-3.8-devel

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.10.2-4mdk
- fix buildrequires

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.10.2-3mdk
- fix deps
- fix dllmap
- patch for e-d-s 1.5.1

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.10.2-2mdk
- fix buildrequires

* Fri Oct  7 2005 Gtz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- New release 0.10.2
- update file list
- bump deps
- patch for e-d-s 1.3.7

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- update file list
- fix deps
- drop patch
- New release 0.8

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 0.6-3mdk
- fix paths for x86_64

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.6-2mdk
- patch for new e-d-s

* Fri Feb 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- 0.6

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.20040121.1mdk
- update to snapshot
- New release 0.6

* Mon Sep 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- New release 0.4

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix deps

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- initial package
